<?php
class SingletonPDO {
  static private $instance = null; 

  private $instancePDO = null; 

  private function __construct() {
   try {
    $this->instancePDO = new PDO('mysql:host=localhost;dbname=test', 'root', '');
    $this->instancePDO->setAttribute(PDO::ATTR_ERRMODE,PDO::ERRMODE_WARNING);
   } catch (PDOException $e) {
    echo 'Erreur : ' .$e->getMessage();
    exit;
   } 
  }
 
  public static function getInstancePDO() {
    if(is_null(self::$instance)) {
      self::$instance = new SingletonPDO();
    }
    return self::$instance->instancePDO;
  }
} 
