<?php
class PaysForm extends Zend_Form 
{ 
    public function __construct($options = null) 
    { 
        parent::__construct($options);
        $this->setName('modifierpays');        
                
        $headstate = new Zend_Form_Element_Text('HeadOfState');
        $headstate->setLabel('HeadOfState')
                  ->setRequired(true)
                  ->addValidator('NotEmpty');
                      
        $headstate->addValidator(new Zend_Validate_StringLength(3));
         
        $id = new Zend_Form_Element_Hidden('id');              
                      
        $submit = new Zend_Form_Element_Submit('submit');
        $submit->setLabel('Modifier');
        
        $this->addElements(array($headstate, $id, $submit));        
    } 
}