<?php

class MonAdaptateurAuth implements Zend_Auth_Adapter_Interface
{
 private $identifiant;

 public function __construct($identifiant, $motdepasse) {   
	$this->identifiant=$identifiant;
	Zend_Debug::dump($this->identifiant);
 }


 /**
 * Réalise une tentative d'authentification
 *
 * @throws Zend_Auth_Adapter_Exception Si l'authentification
 *                                     ne peut pas être réalisée
 * @return Zend_Auth_Result
 */
 public function authenticate() {
   //require_once 'MyAdaiDB.php';
   $registry = Zend_Registry::getInstance();
   $adai =  $registry->get('adai'); //new MyAdaiDB();  
   if ($adai->estValide($this->identifiant, ''))
      return new Zend_Auth_Result(Zend_Auth_Result::SUCCESS, $this->identifiant);
      
   return new Zend_Auth_Result(Zend_Auth_Result::FAILURE_IDENTITY_NOT_FOUND, $this->identifiant);   
 }
 
}
